function searchTable (table, lookFor1st, lookFor2nd)
{	
	// alert("foxfm: searchTable()");
	var tableCell = new Array(-1, -1);
	//alert(lookFor1st + " " + lookFor2nd);
	rows = table.rows;
	// go through the rows
	for(var j=0; j<rows.length; j++)
	{
		cells = rows[j].cells;
		// go through the cells
		for(var k=0; k<cells.length; k++)
		{
			//alert(cells[k].innerHTML);
			cell = cells[k];
			if(cell.innerHTML.match(lookFor1st))
			{
				//alert(cell.innerHTML);	
				nextIndex = k+1;
				if(nextIndex<cells.length) 
				{
					if(cells[nextIndex].innerHTML.match(lookFor2nd)) 
					{
						//alert(cell.innerHTML);
						//alert("HIT: '" + lookFor1st + "' and '" + lookFor2nd + "' in row " + j);
						// return the row where the string was found
						tableCell[0] = j;
						tableCell[1] = k;
						return tableCell;
					}
				}	
			}
		}
	}
	return tableCell;
}

function findTable(arrayTable, strFirst, strSecond)
{
	for(var i=0; i<arrayTable.length; i++)
	{
		// get table of team --> look for "Pos" and "Spielername"
		var tableCell = searchTable(arrayTable[i], strFirst, strSecond);
		var rowIndex = tableCell[0];
		var colIndex = tableCell[1];
		// found table?
		if(rowIndex>=0)
		{
			// return index of found table
			return i;
		}
	}
	return -1;
}

// Try to find the row of the GIVEN table which contains the GIVEN
// two strings in adjacent cells and RETURN the row.
function findRow(table, strFirst, strSecond)
{
	// alert("foxfm: searchTable()");
	//alert(strFirst + " " + strSecond);
	var rows = table.rows;
	// iterate through the rows
	for(var j=0; j<rows.length; j++)
	{
		// get cells of current row
		cells = rows[j].cells;
		// iterate through the cells
		for(var k=0; k<cells.length; k++)
		{
			//alert(cells[k].innerHTML);
			cell = cells[k];
			// check if the content is first search string 'strFirst'
			if(cell.innerHTML.match(strFirst))
			{
				//alert(cell.innerHTML);	
				nextIndex = k+1;
				// check if next cell in row contains second search string 'strSecond'
				// --> found row
				if(nextIndex<cells.length) 
				{
					if(cells[nextIndex].innerHTML.match(strSecond)) 
					{
						//alert(cell.innerHTML);
						//alert("HIT: '" + lookFor1st + "' and '" + strSecond + "' in row " + j);
						// return the row where the string was found
						return j;
					}
				}	
			}
		}
	}
	// nothing was found
	return -1;
}

function addCell(tbl, row, col, content, styleClass, styleAlign, styleBgColor)
{
			var newCell = tbl.rows[row].insertCell(col);
			newCell.innerHTML = content;
			if(styleClass != "") 
			{
				newCell.className = styleClass;
			}
			newCell.align = styleAlign;
			newCell.style.backgroundColor = styleBgColor;
			newCell.setAttribute("width", 100);
}

function getNumberFromString (str)
{
	return (new Number(str.replace(".","")));
}

function getAWP(ep, tp)
{
	return new Number(Math.round(((2*ep*tp)/(ep + tp))));
}

function getAWPs(eps, tps)
{
	var awps = new Array(eps.length);
	for(var i=0; i<eps.length; i++)
	{
		awps[i] = getAWP(eps[i], tps[i]);
	}
	return awps;
}

function getStrengthLevel(awps)
{
	for(var i=0; i<strengthPoints.length; i++)
	{
		if(awps<getNumberFromString(strengthPoints[i]))
		{
			return i;
		}
	}
	return -1;
}

function addColCurrentStrength()
{
}

function addColCurrentAWPs(tbl, rowIndex, colIndex, awps)
{
	//alert(rowIndex);
	//alert(tbl.rows[rowIndex].cells[0].innerHtml);
	addCell(tbl, rowIndex, colIndex, "<a class=\"info\">AWPs<span>AWPs des Spielers</span></a>", "top", "center", "");
	for(var i=rowIndex+1; i<tbl.rows.length; i++) 
	{
		//alert(tbl.rows.length);
		addCell(tbl, i, colIndex, awps[i].toString(10), "", "center", "");
	}
	
}

var strengthPoints=new Array("0","223","330","450","626","902","1.282","1.772","2.399","3.200","4.112","5.008","5.966","7.097","8.436","9.915","11.393","12.659","13.773","14.457","15.352","15.873","16.547","17.370");

